From: Adrian Bunk <bunk@stusta.de>

This patch enables 4k stacks by default.

4k stacks have become a well-tested feature used fore a long time in Fedora
and even in RHEL 4.

There are no known problems in in-kernel code with 4k stacks still present
after Neil's patch that went into -mm nearly two months ago.

Defaulting to 4k stacks in -mm kernel will give some more testing coverage
and should show whether there are really no problems left.

Keeping the option for now should make the people happy who want to use the
experimental -mm kernel but don't trust the well-tested 4k stacks.

Additionally, make it more obvious that available stack space is not being
halved.

Signed-off-by: Grant Coady <gcoady@gmail.com>
Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/Kconfig.debug |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff -puN arch/i386/Kconfig.debug~i386-enable-4k-stacks-by-default arch/i386/Kconfig.debug
--- a/arch/i386/Kconfig.debug~i386-enable-4k-stacks-by-default
+++ a/arch/i386/Kconfig.debug
@@ -57,14 +57,15 @@ config DEBUG_RODATA
 	  If in doubt, say "N".
 
 config 4KSTACKS
-	bool "Use 4Kb for kernel stacks instead of 8Kb"
-	depends on DEBUG_KERNEL
+	bool "Use 4Kb for kernel stacks instead of 8Kb" if DEBUG_KERNEL
+	default y
 	help
 	  If you say Y here the kernel will use a 4Kb stacksize for the
 	  kernel stack attached to each process/thread. This facilitates
 	  running more threads on a system and also reduces the pressure
 	  on the VM subsystem for higher order allocations. This option
-	  will also use IRQ stacks to compensate for the reduced stackspace.
+	  will also use separate 4Kb IRQ stacks to compensate for the
+	  reduced stackspace.
 
 config X86_FIND_SMP_CONFIG
 	bool
_
